Bug 100651 - xscreensaver does not power off my monitor correctly.
xscreensaver does not power off my monitor correctly.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-23 19:45 EDT by Yanming Di
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 09:26:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yanming Di 2003-07-23 19:45:39 EDT
Description of problem:
xscreensaver does not power off my monitor correctly. A few minutes after the
monitor is powered off. My monitor wake up and reports
"The Monitor is in power save mode, activate by using PC".
Between the time the stand by mode starts and the time suspend mode starts, my
monitor reports
"Monitor is working out of scan range, change PC setting."

Version-Release number of selected component (if applicable):
xscreensaver-4.07-2

How reproducible:
very high on my own machine. (IBM Aptiva 964, PIII 667, Dell P780 Monitor)

Steps to Reproduce:
1.In xscreensaver preference, set blank after 5 mins, cycle after 10 mins.
2.In xscreensvaer preference, set stand by, suspend after, and power off after
to 1, 2, 3 mins.
3.Wait to what described above.
    
Actual results:
As above.

Expected results:
Should be powered off and not wake up unexpectedly.

Additional info:
Comment 1 Bill Nottingham 2003-07-23 23:35:46 EDT
I believe xscreensaver just ties into the standard X dpms code.
Comment 2 Mike A. Harris 2003-08-01 05:15:48 EDT
Attach your X server config and log file.

Also, disable APM at startup, and in your BIOS, and try running X and testing this
again.  If disabling APM makes the problem go away, then it's most likely
a BIOS bug in APM power management handling.
Comment 3 Mike A. Harris 2004-10-12 09:26:07 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.